from importlib import metadata

from langchain_salesforce.chat_models import ChatSalesforce
from langchain_salesforce.document_loaders import SalesforceLoader
from langchain_salesforce.embeddings import SalesforceEmbeddings
from langchain_salesforce.retrievers import SalesforceRetriever
from langchain_salesforce.toolkits import SalesforceToolkit
from langchain_salesforce.tools import SalesforceTool
from langchain_salesforce.vectorstores import SalesforceVectorStore

try:
    __version__ = metadata.version(__package__)
except metadata.PackageNotFoundError:
    # Case where package metadata is not available.
    __version__ = ""
del metadata  # optional, avoids polluting the results of dir(__package__)

__all__ = [
    "ChatSalesforce",
    "SalesforceVectorStore",
    "SalesforceEmbeddings",
    "SalesforceLoader",
    "SalesforceRetriever",
    "SalesforceToolkit",
    "SalesforceTool",
    "__version__",
]
